function getItemPropertyValue(item, itemproperty)
    if (itemproperty == "bodylocation") then
        return item:getBodyLocation();
    elseif (itemproperty == "displayname") then
        return item:getDisplayName();
    elseif (itemproperty == "chancetofall") then
        return ""..item:getChanceToFall();
    elseif (itemproperty == "fabrictype") then
        return item:getFabricType();
    elseif (itemproperty == "clothingitem") then
        return item:getClothingItem();
    elseif (itemproperty == "staticmodel") then
        return item:getStaticModel();
    elseif (itemproperty == "replacewhenunequip") then
        return item:getReplaceWhenUnequip();
    elseif (itemproperty == "bloodlocation") then
        return ItemTweaker.convertArrayToString(item:getBloodClothingType(),";");
    elseif (itemproperty == "spritename") then
        return item:getSpriteName();
    elseif (itemproperty == "canstorewater") then
        return (item:getCanStoreWater() and "true" or "false");
    elseif (itemproperty == "swinganim") then
        return item:getSwingAnim();
    elseif (itemproperty == "icon") then
        return item:getIcon();
    elseif (itemproperty == "doorhitsound") then
        return item:getDoorHitSound();
    elseif (itemproperty == "weightwet") then
        return ""..item:getWeightWet();
    elseif (itemproperty == "weightempty") then
        return ""..item:getWeightEmpty();
    elseif (itemproperty == "hungerchange") then
        return ""..item:getHungerChange();
    elseif (itemproperty == "thirstchange") then
        return ""..item:getThirstChange();
    elseif (itemproperty == "endurancechange") then
        return ""..item:getEnduranceChange();
    elseif (itemproperty == "daysfresh") then
        return ""..item:getDaysFresh();
    elseif (itemproperty == "daystotallyrotten") then
        return ""..item:getDaysTotallyRotten();
    elseif (itemproperty == "iscookable") then
        return (item:isIsCookable() and "true" or "false");
    elseif (itemproperty == "minutestocook") then
        return ""..item:getMinutesToCook();
    elseif (itemproperty == "minutestoburn") then
        return ""..item:getMinutesToBurn();
    elseif (itemproperty == "boredomchange") then
        return ""..item:getBoredomChange();
    elseif (itemproperty == "stresschange") then
        return ""..item:getStressChange();
    elseif (itemproperty == "unhappychange") then
        return ""..item:getUnhappyChange();
    elseif (itemproperty == "replaceondeplete") then
        return item:getReplaceOnDeplete();
    elseif (itemproperty == "ranged") then
        return (item:isRanged() and "true" or "false");
    elseif (itemproperty == "useself") then
        return (item:isUseSelf() and "true" or "false");
    elseif (itemproperty == "otherhanduse") then
        return (item:isOtherHandUse() and "true" or "false");
    elseif (itemproperty == "dangerousuncooked") then
        return (item:isDangerousUncooked() and "true" or "false");
    elseif (itemproperty == "maxrange") then
        return ""..item:getMaxRange();
    elseif (itemproperty == "minangle") then
        return ""..item:getMinAngle();
    elseif (itemproperty == "maxdamage") then
        return ""..item:getMaxDamage();
    elseif (itemproperty == "cosmetic") then
        return (item:isCosmetic() and "true" or "false");
    elseif (itemproperty == "conditionlowerchanceonein") then--is this a typo or the indication of inverse or ?
        return ""..item:getConditionLowerChance();
    elseif (itemproperty == "multiplehitconditionaffected") then
        return (item:isMultipleHitConditionAffected() and "true" or "false");
    elseif (itemproperty == "canbandage") then
        return (item:isCanBandage() and "true" or "false");
    elseif (itemproperty == "conditionmax") then
        return ""..item:getConditionMax();
    elseif (itemproperty == "mindamage") then
        return ""..item:getMinDamage();
    elseif (itemproperty == "minimumswingtime") then
        return ""..item:getMinimumSwingTime();
    elseif (itemproperty == "swingsound") then
        return item:getSwingSound();
    elseif (itemproperty == "replaceonuse") then
        return item:getReplaceOnUse();
    elseif (itemproperty == "weaponsprite") then
        return item:getWeaponSprite();
    elseif (itemproperty == "anglefalloff") then
        return (item:isAngleFalloff() and "true" or "false");
    elseif (itemproperty == "soundvolume") then
        return ""..item:getSoundVolume();
    elseif (itemproperty == "tohitmodifier") then
        return ""..item:getToHitModifier();
    elseif (itemproperty == "soundradius") then
        return ""..item:getSoundRadius();
    elseif (itemproperty == "othercharactervolumeboost") then
        return ""..item:getOtherCharacterVolumeBoost();
    elseif (itemproperty == "impactsound") then
        return item:getImpactSound();
    elseif (itemproperty == "swingtime") then
        return ""..item:getSwingTime();
    elseif (itemproperty == "knockbackonnodeath") then
        return (item:isKnockBackOnNoDeath() and "true" or "false");
    elseif (itemproperty == "alcoholic") then
        return (item:isAlcoholic() and "true" or "false");
    elseif (itemproperty == "splatbloodonnodeath") then
        return (item:isSplatBloodOnNoDeath() and "true" or "false");
    elseif (itemproperty == "swingamountbeforeimpact") then
        return ""..item:getSwingAmountBeforeImpact();
    elseif (itemproperty == "ammotype") then
        return item:getAmmoType();
    elseif (itemproperty == "otherhandrequire") then
        return item:getOtherHandRequire();
    elseif (itemproperty == "alwayswelcomegift") then
        return (item:isAlwaysWelcomeGift() and "true" or "false");
    elseif (itemproperty == "cantattackwithlowestendurance") then
        return (item:isCantAttackWithLowestEndurance() and "true" or "false");
    elseif (itemproperty == "endurancemod") then
        return ""..item:getEnduranceMod();
    elseif (itemproperty == "knockdownmod") then
        return ""..item:getKnockdownMod();
    elseif (itemproperty == "doordamage") then
        return ""..item:getDoorDamage();
    elseif (itemproperty == "maxhitcount") then
        return ""..item:getMaxHitCount();
    elseif (itemproperty == "physicsobject") then
        return item:getPhysicsObject();
    elseif (itemproperty == "count") then
        return item:getCount();
    elseif (itemproperty == "swinganim") then
        return item:getSwingAnim();
    elseif (itemproperty == "weaponweight") then
        return ""..item:getWeaponWeight();
    elseif (itemproperty == "pushbackmod") then
        return ""..item:getPushBackMod();
    elseif (itemproperty == "npcsoundboost") then
        return ""..item:getNPCSoundBoost();
    elseif (itemproperty == "splatnumber") then
        return ""..item:getSplatNumber();
    elseif (itemproperty == "rangefalloff") then
        return (item:isRangeFalloff() and "true" or "false");
    elseif (itemproperty == "useendurance") then
        return (item:isUseEndurance() and "true" or "false");
    elseif (itemproperty == "sharedamage") then
        return (item:isShareDamage() and "true" or "false");
    elseif (itemproperty == "shareendurance") then
        return (item:isShareEndurance() and "true" or "false");
    elseif (itemproperty == "alwaysknockdown") then
        return (item:isAlwaysKnockdown() and "true" or "false");
    elseif (itemproperty == "bulletoutsound") then
        return item:getBulletOutSound();
    elseif (itemproperty == "shellfallsound") then
        return item:getShellFallSound();
    elseif (itemproperty == "canbarricade") then
        return (item:isCanBarricade() and "true" or "false");
    elseif (itemproperty == "usewhileequipped") then
        return (item:isUseWhileEquipped() and "true" or "false");
    elseif (itemproperty == "usewhileunequipped") then
        return (item:isUseWhileUnequipped() and "true" or "false");
    elseif (itemproperty == "ticksperequipuse") then
        return ""..item:getTicksPerEquipUse();
    elseif (itemproperty == "disappearonuse") then
        return (item:isDisappearOnUse() and "true" or "false");
    elseif (itemproperty == "temperature") then
        return ""..item:getTemperature();
    elseif (itemproperty == "insulation") then
        return ""..item:getInsulation();
    elseif (itemproperty == "usedelta") then
        return ""..item:getUseDelta();
    elseif (itemproperty == "conditionaffectscapacity") then
        return (item:isConditionAffectsCapacity() and "true" or "false");
    elseif (itemproperty == "displaycategory") then
        return item:getDisplayCategory();
    elseif (itemproperty == "putinsound") then
        return item:getPutInSound();
    elseif (itemproperty == "closesound") then
        return item:getCloseSound();
    elseif (itemproperty == "opensound") then
        return item:getOpenSound();
    elseif (itemproperty == "breaksound") then
        return item:getBreakSound();
    elseif (itemproperty == "customeatsound") then
        return item:getCustomEatSound();
    elseif (itemproperty == "acceptitemfunction") then
        return item:getAcceptItemFunction();
    elseif (itemproperty == "countdownsound") then
        return item:getCountDownSound();
    elseif (itemproperty == "explosionsound") then
        return item:getExplosionSound();
     elseif (itemproperty == "clothingitemextraoption") then
        return ItemTweaker.convertArrayToString(item:getClothingItemExtraOption(),";");
     elseif (itemproperty == "clothingitemextra") then
        return ItemTweaker.convertArrayToString(item:getClothingItemExtra(),";");
    elseif (itemproperty == "iconsfortexture") then
        return ItemTweaker.convertArrayToString(item:getIconsForTexture(),";");
    elseif (itemproperty == "categories") then
        return ItemTweaker.convertArrayToString(item:getCategories(),";");
    elseif (itemproperty == "tags") then
        return ItemTweaker.convertArrayToString(item:getTags(),";");
    -- elseif (itemproperty == "metalvalue") then
        -- return nil;
    -- elseif (itemproperty == "type") then
        -- return nil;
    -- elseif (itemproperty == "splatsize") then
        -- return nil;
    -- elseif (itemproperty == "iswatersource") then
        -- return nil;
    -- elseif (itemproperty == "poison") then
        -- return nil;
    -- elseif (itemproperty == "foodtype") then
        -- return nil;
    -- elseif (itemproperty == "poisondetectionlevel") then
        -- return nil;
    -- elseif (itemproperty == "poisonpower") then
        -- return nil;
    -- elseif (itemproperty == "useforpoison") then
        -- return nil;
    -- elseif (itemproperty == "useworlditem") then
        -- return nil;
    -- elseif (itemproperty == "medical") then
        -- return nil;
    -- elseif (itemproperty == "cannedfood") then
        -- return nil;
    -- elseif (itemproperty == "mechanicsitem") then
        -- return nil;
    -- elseif (itemproperty == "survivalgear") then
        -- return nil;
    -- elseif (itemproperty == "scaleworldicon") then
        -- return nil;
    -- elseif (itemproperty == "hairdye") then
        -- return nil;
    -- elseif (itemproperty == "weight") then
        -- return nil;
    -- elseif (itemproperty == "fatiguechange") then
        -- return nil;
    -- elseif (itemproperty == "criticalchance") then
        -- return nil;
    -- elseif (itemproperty == "critdmgmultiplier") then
        -- return nil;
    -- elseif (itemproperty == "replaceonuseon") then
        -- return nil;
    -- elseif (itemproperty == "minrange") then
        -- return nil;
    -- elseif (itemproperty == "basespeed") then
        -- return nil;
    -- elseif (itemproperty == "stomppower") then
        -- return nil;
    -- elseif (itemproperty == "combatspeedmodifier") then
        -- return nil;
    -- elseif (itemproperty == "runspeedmodifier") then
        -- return nil;
    -- elseif (itemproperty == "clothingextrasubmenu") then
        -- return nil;
    -- elseif (itemproperty == "removeonbroken") then
        -- return nil;
    -- elseif (itemproperty == "canhaveholes") then
        -- return nil;
    -- elseif (itemproperty == "ammobox") then
        -- return nil;
    -- elseif (itemproperty == "insertammosound") then
        -- return nil;
    -- elseif (itemproperty == "ejectammosound") then
        -- return nil;
    -- elseif (itemproperty == "racksound") then
        -- return nil;
    -- elseif (itemproperty == "clicksound") then
        -- return nil;
    -- elseif (itemproperty == "magazinetype") then
        -- return nil;
    -- elseif (itemproperty == "jamgunchance") then
        -- return nil;
    -- elseif (itemproperty == "modelweaponpart") then
        -- return nil;
    -- elseif (itemproperty == "rackaftershoot") then
        -- return nil;
    -- elseif (itemproperty == "havechamber") then
        -- return nil;
    -- elseif (itemproperty == "bitedefense") then
        -- return nil;
    -- elseif (itemproperty == "neckprotectionmodifier") then
        -- return nil;
    -- elseif (itemproperty == "damagecategory") then
        -- return nil;
    -- elseif (itemproperty == "firemode") then
        -- return nil;
    -- elseif (itemproperty == "damagemakehole") then
        -- return nil;
    -- elseif (itemproperty == "equippednosprint") then
        -- return nil;
    -- elseif (itemproperty == "scratchdefense") then
        -- return nil;
    -- elseif (itemproperty == "weaponreloadtype") then
        -- return nil;
    -- elseif (itemproperty == "insertallbulletsreload") then
        -- return nil;
    -- elseif (itemproperty == "soundgain") then
        -- return nil;
    -- elseif (itemproperty == "aimingperkcritmodifier") then
        -- return nil;
    -- elseif (itemproperty == "aimingperkrangemodifier") then
        -- return nil;
    -- elseif (itemproperty == "aimingperkhitchancemodifier") then
        -- return nil;
    -- elseif (itemproperty == "anglemodifier") then
        -- return nil;
    -- elseif (itemproperty == "weightmodifier") then
        -- return nil;
    -- elseif (itemproperty == "aimingperkminanglemodifier") then
        -- return nil;
    -- elseif (itemproperty == "hitchance") then
        -- return nil;
    -- elseif (itemproperty == "recoildelay") then
        -- return nil;
    -- elseif (itemproperty == "piercingbullets") then
        -- return nil;
    -- elseif (itemproperty == "maxammo") then
        -- return nil;
    -- elseif (itemproperty == "hitanglemod") then
        -- return nil;
    -- elseif (itemproperty == "idleanim") then
        -- return nil;
    -- elseif (itemproperty == "runanim") then
        -- return nil;
    -- elseif (itemproperty == "requireinhandorinventory") then
        -- return nil;
    -- elseif (itemproperty == "firemodepossibilities") then
        -- return nil;
    -- elseif (itemproperty == "attachmentsprovided") then
        -- return nil;
    -- elseif (itemproperty == "attachmentreplacement") then
        -- return nil;
    -- elseif (itemproperty == "isaimedfirearm") then
        -- return nil;
    -- elseif (itemproperty == "isaimedhandweapon") then
        -- return nil;
    -- elseif (itemproperty == "aimingmod") then
        -- return nil;
    -- elseif (itemproperty == "projectilecount") then
        -- return nil;
    -- elseif (itemproperty == "canstack") then
        -- return nil;
    -- elseif (itemproperty == "herbalisttype") then
        -- return nil;
    -- elseif (itemproperty == "windresistance") then
        -- return nil;
    -- elseif (itemproperty == "waterresistance") then
        -- return nil;
    -- elseif (itemproperty == "closekillmove") then
        -- return nil;
    -- elseif (itemproperty == "rainfactor") then
        -- return nil;
    -- elseif (itemproperty == "torchdot") then
        -- return nil;
    -- elseif (itemproperty == "numberofpages") then
        -- return nil;
    -- elseif (itemproperty == "skilltrained") then
        -- return nil;
    -- elseif (itemproperty == "lvlskilltrained") then
        -- return nil;
    -- elseif (itemproperty == "numlevelstrained") then
        -- return nil;
    -- elseif (itemproperty == "capacity") then
        -- return nil;
    -- elseif (itemproperty == "maxcapacity") then
        -- return nil;
    -- elseif (itemproperty == "itemcapacity") then
        -- return nil;
    -- elseif (itemproperty == "brakeforce") then
        -- return nil;
    -- elseif (itemproperty == "chancetospawndamaged") then
        -- return nil;
    -- elseif (itemproperty == "weaponlength") then
        -- return nil;
    -- elseif (itemproperty == "clipsize") then
        -- return nil;
    -- elseif (itemproperty == "reloadtime") then
        -- return nil;
    -- elseif (itemproperty == "aimingtime") then
        -- return nil;
    -- elseif (itemproperty == "aimingtimemodifier") then
        -- return nil;
    -- elseif (itemproperty == "reloadtimemodifier") then
        -- return nil;
    -- elseif (itemproperty == "hitchancemodifier") then
        -- return nil;
    -- elseif (itemproperty == "weightreduction") then
        -- return nil;--""..item.WeightReduction;
    -- elseif (itemproperty == "canbeequipped") then
        -- return nil;
    -- elseif (itemproperty == "subcategory") then
        -- return nil;
    -- elseif (itemproperty == "activateditem") then
        -- return nil;
    -- elseif (itemproperty == "protectfromrainwhenequipped") then
        -- return nil;
    -- elseif (itemproperty == "lightstrength") then
        -- return nil;
    -- elseif (itemproperty == "torchcone") then
        -- return nil;
    -- elseif (itemproperty == "lightdistance") then
        -- return nil;
    -- elseif (itemproperty == "twohandweapon") then
        -- return nil;
    -- elseif (itemproperty == "tooltip") then
        -- return nil;
    -- elseif (itemproperty == "badinmicrowave") then
        -- return nil;
    -- elseif (itemproperty == "goodhot") then
        -- return nil;
    -- elseif (itemproperty == "badcold") then
        -- return nil;
    -- elseif (itemproperty == "alarmsound") then
        -- return nil;
    -- elseif (itemproperty == "requiresequippedbothhands") then
        -- return nil;
    -- elseif (itemproperty == "replaceoncooked") then
        -- return nil;
    -- elseif (itemproperty == "customcontextmenu") then
        -- return nil;
    -- elseif (itemproperty == "trap") then
        -- return nil;
    -- elseif (itemproperty == "wet") then
        -- return nil;
    -- elseif (itemproperty == "wetcooldown") then
        -- return nil;
    -- elseif (itemproperty == "itemwhendry") then
        -- return nil;
    -- elseif (itemproperty == "fishinglure") then
        -- return nil;
    -- elseif (itemproperty == "canbewrite") then
        -- return nil;
    -- elseif (itemproperty == "pagetowrite") then
        -- return nil;
    -- elseif (itemproperty == "spice") then
        -- return nil;
    -- elseif (itemproperty == "removenegativeeffectoncooked") then
        -- return nil;
    -- elseif (itemproperty == "clipsizemodifier") then
        -- return nil;
    -- elseif (itemproperty == "recoildelaymodifier") then
        -- return nil;
    -- elseif (itemproperty == "maxrangemodifier") then
        -- return nil;
    -- elseif (itemproperty == "minrangemodifier") then
        -- return nil;
    -- elseif (itemproperty == "damagemodifier") then
        -- return nil;
    -- elseif (itemproperty == "map") then
        -- return nil;
    -- elseif (itemproperty == "treedamage") then
        -- return nil;
    -- elseif (itemproperty == "alcoholpower") then
        -- return nil;
    -- elseif (itemproperty == "bandagepower") then
        -- return nil;
    -- elseif (itemproperty == "reduceinfectionpower") then
        -- return nil;
    -- elseif (itemproperty == "oncooked") then
        -- return nil;
    -- elseif (itemproperty == "onlyacceptcategory") then
        -- return nil;
    -- elseif (itemproperty == "padlock") then
        -- return nil;
    -- elseif (itemproperty == "digitalpadlock") then
        -- return nil;
    -- elseif (itemproperty == "triggerexplosiontimer") then
        -- return nil;
    -- elseif (itemproperty == "sensorrange") then
        -- return nil;
    -- elseif (itemproperty == "remoterange") then
        -- return nil;
    -- elseif (itemproperty == "placedsprite") then
        -- return nil;
    -- elseif (itemproperty == "explosiontimer") then
        -- return nil;
    -- elseif (itemproperty == "explosionrange") then
        -- return nil;
    -- elseif (itemproperty == "explosionpower") then
        -- return nil;
    -- elseif (itemproperty == "firerange") then
        -- return nil;
    -- elseif (itemproperty == "firepower") then
        -- return nil;
    -- elseif (itemproperty == "canbeplaced") then
        -- return nil;
    -- elseif (itemproperty == "canbereused") then
        -- return nil;
    -- elseif (itemproperty == "canberemote") then
        -- return nil;
    -- elseif (itemproperty == "remotecontroller") then
        -- return nil;
    -- elseif (itemproperty == "smokerange") then
        -- return nil;
    -- elseif (itemproperty == "noiserange") then
        -- return nil;
    -- elseif (itemproperty == "extradamage") then
        -- return nil;
    -- elseif (itemproperty == "twoway") then
        -- return nil;
    -- elseif (itemproperty == "transmitrange") then
        -- return nil;
    -- elseif (itemproperty == "micrange") then
        -- return nil;
    -- elseif (itemproperty == "basevolumerange") then
        -- return nil;
    -- elseif (itemproperty == "isportable") then
        -- return nil;
    -- elseif (itemproperty == "ishightier") then
        -- return nil;
    -- elseif (itemproperty == "istelevision") then
        -- return nil;
    -- elseif (itemproperty == "minchannel") then
        -- return nil;
    -- elseif (itemproperty == "maxchannel") then
        -- return nil;
    -- elseif (itemproperty == "usesbattery") then
        -- return nil;
    -- elseif (itemproperty == "worldobjectsprite") then
        -- return nil;
    -- elseif (itemproperty == "flureduction") then
        -- return nil;
    -- elseif (itemproperty == "reducefoodsickness") then
        -- return nil;
    -- elseif (itemproperty == "painreduction") then
        -- return nil;
    -- elseif (itemproperty == "colorred") then
        -- return nil;
    -- elseif (itemproperty == "colorgreen") then
        -- return nil;
    -- elseif (itemproperty == "colorblue") then
        -- return nil;
    -- elseif (itemproperty == "calories") then
        -- return nil;
    -- elseif (itemproperty == "carbohydrates") then
        -- return nil;
    -- elseif (itemproperty == "lipids") then
        -- return nil;
    -- elseif (itemproperty == "proteins") then
        -- return nil;
    -- elseif (itemproperty == "packaged") then
        -- return nil;
    -- elseif (itemproperty == "cantbefrozen") then
        -- return nil;
    -- elseif (itemproperty == "evolvedrecipename") then
        -- return nil;
    -- elseif (itemproperty == "replaceonrotten") then
        -- return nil;
    -- elseif (itemproperty == "cantbeconsolided") then
        -- return nil;
    -- elseif (itemproperty == "oneat") then
        -- return nil;
    -- elseif (itemproperty == "keepondeplete") then
        -- return nil;
    -- elseif (itemproperty == "vehicletype") then
        -- return nil;
    -- elseif (itemproperty == "conditionloweroffroad") then
        -- return nil;
    -- elseif (itemproperty == "conditionlowerstandard") then
        -- return nil;
    -- elseif (itemproperty == "wheelfriction") then
        -- return nil;
    -- elseif (itemproperty == "suspensiondamping") then
        -- return nil;
    -- elseif (itemproperty == "suspensioncompression") then
        -- return nil;
    -- elseif (itemproperty == "engineloudness") then
        -- return nil;
    -- elseif (itemproperty == "attachmenttype") then
        -- return nil;
    -- elseif (itemproperty == "makeuptype") then
        -- return nil;
    -- elseif (itemproperty == "consolidateoption") then
        -- return nil;
    -- elseif (itemproperty == "teachedrecipes") then
        -- return nil;
    -- elseif (itemproperty == "mounton") then
        -- return nil;
    -- elseif (itemproperty == "parttype") then
        -- return nil;
    -- elseif (itemproperty == "evolvedrecipe") then
        -- return nil;
    -- elseif (itemproperty == "worldstaticmodel") then
        -- return nil;
    -- elseif (itemproperty == "primaryanimmask") then
        -- return nil;
    -- elseif (itemproperty == "secondaryanimmask") then
        -- return nil;
    -- elseif (itemproperty == "primaryanimmaskattachment") then
        -- return nil;
    -- elseif (itemproperty == "secondaryanimmaskattachment") then
        -- return nil;
    -- elseif (itemproperty == "replaceinsecondhand") then
        -- return nil;
    -- elseif (itemproperty == "replaceinprimaryhand") then
        -- return nil;
    -- elseif (itemproperty == "eattype") then
        -- return nil;
    -- elseif(itemproperty == "hitsound") then
        -- return nil;
    -- elseif (itemproperty == "hitfloorsound") then
        -- return nil;
    -- elseif (itemproperty == "palettesstart") then
        -- return nil;
    end
    return nil;
end

